org.omg.PortableInterceptor

## Class ObjectReferenceTemplateHelper

- java.lang.Object
- - org.omg.PortableInterceptor.ObjectReferenceTemplateHelper

    public abstract class ObjectReferenceTemplateHelper
    extends Object

The object reference template. An instance of this must exist for each object adapter created in an ORB. The server_id, orb_id, and adapter_name attributes uniquely identify this template within the scope of an IMR. Note that adapter_id is similarly unique within the same scope, but it is opaque, and less useful in many cases.

### Constructor Summary

Constructors
Constructor and Description
`ObjectReferenceTemplateHelper()`

### Method Summary

Methods
`static ObjectReferenceTemplate` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, ObjectReferenceTemplate that)`
`static ObjectReferenceTemplate` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, ObjectReferenceTemplate value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectReferenceTemplateHelper

    public ObjectReferenceTemplateHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              ObjectReferenceTemplate that)

#### extract

    public static ObjectReferenceTemplate extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static ObjectReferenceTemplate read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             ObjectReferenceTemplate value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.